Safe Haskell | Safe-Inferred
Language | Haskell2010

Bug1033

# Documentation

data Foo #

Constructors

Foo |

#### Instances

Instances details

Generic Foo # |
Instance details Defined in Bug1033 Associated Types
type Rep Foo | This does some generic foos.
Instance details Defined in Bug1033 type Rep Foo = D1 ('MetaData "Foo" "Bug1033" "main" 'False) (C1 ('MetaCons "Foo" 'PrefixI 'False) (U1 :: Type -> Type))
Methods from :: Foo -> Rep Foo x # to :: Rep Foo x -> Foo #
type Rep Foo # | This does some generic foos.
Instance details Defined in Bug1033 type Rep Foo = D1 ('MetaData "Foo" "Bug1033" "main" 'False) (C1 ('MetaCons "Foo" 'PrefixI 'False) (U1 :: Type -> Type))